### Method

# Shell GLSLEffect add_glsl_snippet

#### Declaration [src]

    void
    shell_glsl_effect_add_glsl_snippet (
      ShellGLSLEffect* effect,
      CoglSnippetHook hook,
      const char* declarations,
      const char* code,
      gboolean is_replace
    )

#### Description [src]

Adds a GLSL snippet to the pipeline used for drawing the effect texture. See `CoglSnippet` for details.

This is only valid inside the a call to the `build_pipeline()` virtual function.

#### Parameters

`hook`

  Type: `CoglSnippetHook`

  Where to insert the code.

`declarations`

  Type: `const char*`

  GLSL declarations.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`code`

  Type: `const char*`

  GLSL code.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`is_replace`

  Type: `gboolean`

  Whether Cogl code should be replaced by the custom shader.